com.buschmais.jqassistant.plugin.java.api.model

## Interface JarArchiveDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.plugin.common.api.model.ArchiveDescriptor, com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor, com.buschmais.jqassistant.plugin.common.api.model.ArtifactFileDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileContainerDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, JavaArtifactFileDescriptor, JavaDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      @Label(value="Jar")
      public interface JarArchiveDescriptor
      extends JavaArtifactFileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.ArchiveDescriptor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.plugin.java.api.model.JavaArtifactFileDescriptor

      `JavaArtifactFileDescriptor.RequiresType`

  - ### Method Summary

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.JavaArtifactFileDescriptor

      `getRequiresTypes, resolveRequiredType`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.ArtifactDescriptor

      `getClassifier, getDependencies, getDependents, getGroup, getName, getType, getVersion, setClassifier, setGroup, setName, setType, setVersion`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileContainerDescriptor

      `getContains`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

Copyright © 2015 buschmais GbR. All rights reserved.